# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXPrintAlloc

Function

Prints a summary of memory use.

Syntax
`
#include <dx/dx.h>
`

void DXPrintAlloc(int t)

Functional Details

This routine can be run from Data Explorer, with the Usage module, in script mode or in the user interface. When it is run, memory areas should be quiescent (on a multiprocessor system, for example, no other tasks should be running). The parameter `t` specifies the level of detail of the printout:

0 | Prints out a summary of the current use of memory, both in small and in large areas. A typical printout might look like:

    0: small: 4194304 = hdr 16472 + used 486864 + free 3920
                                  + pool 3687048 (limit 4194304)
    0: large: 2097152 = hdr 16472 + used 494656 + free 29704
                                  + pool 1558120 (limit 54525952)

where: |
small | is the total number of bytes currently managed by the memory manager for the small arena.
large | is the total number of bytes currently managed by the memory manager for the large arena.
hdr | is the amount of memory space used by internal data structures.
used | is the amount of memory space allocated for use.
free | is the amount of memory previously used and available for reuse.
pool | is the amount of memory space allocated to Data Explorer but not yet used.
limit | is the largest amount of memory that can be managed by the memory manager.
1 | Prints one line for every individual allocated block, stating its size and address.
2 | In addition to the information for allocated blocks (how = 1), prints the same information for every freed block.

Return Value

None.

See Also

`DXAllocate, DXAllocateZero, DXAllocateLocal, DXAllocateLocalZero, DXAllocateLocalOnly, DXAllocateLocalOnlyZero, DXFree`

13.3 , "Memory Allocation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]